## gimpgradientselect gimpgradientselect |

## Functions

void | (*GimpRunGradientCallback) ()
const gchar * | gimp_gradient_select_new ()
void | gimp_gradient_select_destroy ()
gboolean | gimp_gradients_popup ()
gboolean | gimp_gradients_close_popup ()
gboolean | gimp_gradients_set_popup ()

## Description

## Functions

### GimpRunGradientCallback ()

    void
    (*GimpRunGradientCallback) (const gchar *gradient_name,
                                gint width,
                                const gdouble *grad_data,
                                gboolean dialog_closing,
                                gpointer user_data);

### gimp_gradient_select_new ()

    const gchar *
    gimp_gradient_select_new (const gchar *title,
                              const gchar *gradient_name,
                              gint sample_size,
                              GimpRunGradientCallback callback,
                              gpointer data);

### gimp_gradient_select_destroy ()

    void
    gimp_gradient_select_destroy (const gchar *gradient_callback);

### gimp_gradients_popup ()

    gboolean
    gimp_gradients_popup (const gchar *gradient_callback,
                          const gchar *popup_title,
                          const gchar *initial_gradient,
                          gint sample_size);

### gimp_gradients_close_popup ()

    gboolean
    gimp_gradients_close_popup (const gchar *gradient_callback);

### gimp_gradients_set_popup ()

    gboolean
    gimp_gradients_set_popup (const gchar *gradient_callback,
                              const gchar *gradient_name);

## Types and Values